//直接上传
function openUploadFileFunShowImg(obj_){
    $("#"+obj_+"_file").trigger("click");
}

function photoCompress(file,w,objDiv){
    var ready=new FileReader();
    /*开始读取指定的Blob对象或File对象中的内容. 当读取操作完成时,readyState属性的值会成为DONE,如果设置了onloadend事件处理程序,则调用之.同时,result属性中将包含一个data: URL格式的字符串以表示所读取文件的内容.*/
    ready.readAsDataURL(file);
    ready.onload=function(){
        var re=this.result;
        canvasDataURL(re,w,objDiv)
    }
}


function canvasDataURL(path, obj, callback){
    var img = new Image();
    img.src = path;
    img.onload = function(){
        var that = this;
        // 默认按比例压缩
        var w = that.width,
            h = that.height,
            scale = w / h;
        w = obj.width || w;
        h = obj.height || (w / scale);
        var quality = 0.7;  // 默认图片质量为0.7
        //生成canvas
        var canvas = document.createElement('canvas');
        var ctx = canvas.getContext('2d');
        // 创建属性节点
        var anw = document.createAttribute("width");
        anw.nodeValue = w;
        var anh = document.createAttribute("height");
        anh.nodeValue = h;
        canvas.setAttributeNode(anw);
        canvas.setAttributeNode(anh);
        ctx.drawImage(that, 0, 0, w, h);
        // 图像质量
        if(obj.quality && obj.quality <= 1 && obj.quality > 0){
            quality = obj.quality;
        }
        // quality值越小，所绘制出的图像越模糊
        var base64 = canvas.toDataURL('image/jpeg', quality);
        // 回调函数返回base64的值
        callback(base64);
    }
}

function convertBase64UrlToBlob(urlData){
    var arr = urlData.split(','), mime = arr[0].match(/:(.*?);/)[1],
        bstr = atob(arr[1]), n = bstr.length, u8arr = new Uint8Array(n);
    while(n--){
        u8arr[n] = bstr.charCodeAt(n);
    }
    return new Blob([u8arr], {type:mime});
}



var showNums =0;
function UpladFileShowImg(obj_, fileList , nowRows , upNums, maxSizes,uuid) {
    var fileObj = fileList[nowRows];
    var oldImgUrl = $("#"+obj_+"_url").val();
    var oldImgUrlArr = oldImgUrl.split(";");
    if ((fileList.length + oldImgUrlArr.length - 1) > upNums){
        alert("限制只能上传"+upNums+"个文件");
        return false;
    }

    //显示上传文件数量  比如 1/1  1/2  $("#drop_area_line").html((nowRows+1)+"/"+fileList.length);
    // $("#uploacNewBox").show();
    // $("#drop_area_line").html("正在上传第"+(nowRows+1)+"个文件 / 共"+fileList.length+"个文件");
    // $("#drop_area_info").show();

    showNums++;
    var mobid = "file_box_id_"+showNums;
    //上传内容table显示的盒子 $("#uploadMob").html()
    //var uploadMob = $("#uploadMob").html();
    //uploadMob = "<table cellSpacing=1 cellPadding=5  class='uploadMob tabEdit'  id='"+mobid+"'>"+uploadMob+"</table>";
    //开头插入内容  $("#file_uplist_box")上传内容table的父元素div的盒子
    //$("#file_uplist_box").prepend(uploadMob);
    //上传文件的名称
    //$("#"+mobid+" .file_title").text(""+fileObj.name);
    //文件标题的input赋值
    // $("#"+mobid+" .file_title_inp").val(fileObj.name);

    //新传文件和修改已有文件的判断UploadWeb
    var uploadController = "UploadWeb";

    // var url = basePath+"web/upload/"+uploadController+"?mobid="+mobid;
    var url = basePath+"addresssearch/addresssearchUpload?mobid="+mobid+"&uuid="+uuid;
    maxSizes = 30;
    var filesizess = parseInt(fileObj.size/1048576);
    if (filesizess > maxSizes){
        layerMsg(fileObj.name+"上传失败，超过限制"+maxSizes+"MB", 2, 30000);
        return false;
    }
    var quality = 0.2;
    if(filesizess > 1){
        quality = 0.11
    }else if(filesizess > 10){
        quality = 0.1
    }
    // alert(quality);

    photoCompress(fileObj, {
        quality: quality
    }, function(base64Codes){
        // console.log("压缩后：" + base64Codes.length / 1024 + " " + base64Codes);
        var bl = convertBase64UrlToBlob(base64Codes);

        if (window.XMLHttpRequest){// code for all new browsers
            xhr= new XMLHttpRequest();
        }else if (window.ActiveXObject){// code for IE5 and IE6
            xhr=new ActiveXObject("Microsoft.XMLHTTP");
        }
        var form = new FormData();


        form.append("file",bl,"file_"+Date.parse(new Date())+".jpg");
        var startsTime = new Date().getTime();



        xhr.open("post",url,true);
        xhr.onload = function(e){
            if(xhr.readyState == 4 && xhr.status == 200){
                var datastr = xhr.responseText;
                var data = eval('(' + datastr + ')');
                // console.log(data);
                if("error"==data.error){
                    //$("#drop_area_info").html("");
                    layerMsg("上传失败"+data.msg+"", 2, 10000);
                    return false;
                }else{
                    $("#"+obj_+"_url").val(oldImgUrl + data.topImgUrl);
                }

                nowRows ++;
                if(fileList.length>nowRows){
                    // 如果还有下一条，继续
                    UpladFileShowImg(obj_, fileList ,nowRows, maxSizes, saveType);
                }else{
                    layerMsg("上传成功", 6, 3000);
                    getImgListShow(obj_);
                    setTimeout(function () {
                        $("#uploacNewBox").hide();
                    }, 1000);
                }
            }
        };

        xhr.onerror =  uploadFailed;
        xhr.upload.onprogress = function(e){
            progressFunction(e,mobid, startsTime);
        };
        xhr.upload.onloadstart = function(e){
            ot = new Date().getTime();
            oloaded = 0;
        };
        xhr.send(form);


    });


}


function layerMsg(msg, icons, iconTime){  // icons =2 错误  icons =6 正常
    if (icons == 2){
        var closeBtns = 1;
        var shades = 0.3;
    }else{
        var closeBtns = 0;
        var shades = 0.05;
    }
    layer.msg(msg, {
        icon: icons,
        closeBtn: closeBtns,
        shade: shades,
        shadeClose:true,
        time: iconTime //2秒关闭（如果不配置，默认是3秒）
    }, function(){
    });
}
//修改已上传文件
function openUploadFileFun(){
    $("#FileUpload").trigger("click");
}

var u =0;
function UpladFile(fileList, saveType ,nowRows, maxSizes) {
    alert(saveType);
    var fileObj = fileList[nowRows];
    if (fileObj.size/1048576 > maxSizes){
        layerMsg(fileObj.name+"上传失败，超过限制"+maxSizes+"MB", 2, 30000);
        return false;
    }

    //显示上传文件数量  比如 1/1  1/2  $("#drop_area_line").html((nowRows+1)+"/"+fileList.length);
    $("#uploacNewBox").show();

    $("#drop_area_line").html("正在上传第"+(nowRows+1)+"个文件 / 共"+fileList.length+"个文件 <button onclick='refAll()' class=\"cle-btn cle-bg-radius fr\" style='margin-left: 8px'>取消上传</button>");
    $("#drop_area_info").show();

    u++;
    //上传内容table显示的盒子 $("#uploadMob").html()
    var uploadMob = $("#uploadMob").html();
    var mobid = "file_box_id_"+u;
    uploadMob = "<table cellSpacing=1 cellPadding=5  class='uploadMob tabEdit'  id='"+mobid+"'>"+uploadMob+"</table>";
    //开头插入内容  $("#file_uplist_box")上传内容table的父元素div的盒子
    $("#file_uplist_box").prepend(uploadMob);

    //上传文件的名称
    $("#"+mobid+" .file_title").text(""+fileObj.name);
    //文件标题的input赋值
    // $("#"+mobid+" .file_title_inp").val(fileObj.name);

    //新传文件和修改已有文件的判断
    var uploadController = "UploadWeb";
    var uploadFileEditId = "0";
    if (saveType == "new"){
        uploadController = "UploadWeb";
    }else if (saveType == "change"){
        uploadController = "adminUploadChange";
        uploadFileEditId = $("#uploadFileEditId").val();
    }

    var url = basePath+"adminlog/upload/"+uploadController+"?uploadFileId="+uploadFileEditId+"&mobid="+mobid;
    //创建form表单，将内容附加到form表单
    var form = new FormData();
    form.append("file",fileObj);
    var startsTime = new Date().getTime();
    if (window.XMLHttpRequest){// code for all new browsers
        xhr= new XMLHttpRequest();
    }else if (window.ActiveXObject){// code for IE5 and IE6
        xhr=new ActiveXObject("Microsoft.XMLHTTP");
    }

    xhr.open("post",url,true);
    xhr.onload = function(e){
        if(xhr.readyState == 4 && xhr.status == 200){
            var datastr = xhr.responseText;
            var data = eval('(' + datastr + ')');
            if("error"==data.error){
                $("#drop_area_info").html("");
                layerMsg("修改失败:"+data.msg+"", 2, 30000);
                return false;
            }
            nowRows ++;
            if(fileList.length>nowRows){
                // 如果还有下一条，继续
                UpladFile(fileList, saveType ,nowRows, maxSizes);
            }else{
                layerMsg("上传成功", 6, 3000);
                setTimeout(function () {
                    refAll();
                }, 1000);
            }
        }
    };
    xhr.onerror =  uploadFailed;
    xhr.upload.onprogress = function(e){
        progressFunction(e, mobid, startsTime);
    };
    xhr.upload.onloadstart = function(e){
        ot = new Date().getTime();
        oloaded = 0;
    };
    xhr.send(form);
}
//上传进度实现方法，上传过程中会频繁调用该方法
function progressFunction(evt,mobid,startsTime) {
    var progressBar = $("#"+mobid+" .progressBar");
    if (evt.lengthComputable) {//
        var ntotal =  Math.round(evt.loaded/1048576);
        var ltotal =  Math.round(evt.total/1048576);
        var baifenbi = Math.round(evt.loaded / evt.total * 100);
        $("#"+mobid+" .file_progress_record").css("width",baifenbi+"%");
        $("#"+mobid+" .J_uploadFileStatus").text(baifenbi+"%");
        $("#"+mobid+" .persize").text(ntotal+"MB/"+ltotal+"MB");
        $("#"+mobid+" .persize").attr("data-size",ltotal);
    }

    var time = $("#"+mobid+" .percenttime");
    var nt = new Date().getTime();
    var pertime = (nt-ot)/1000;

    ot = new Date().getTime();

    var perload = evt.loaded - oloaded;
    oloaded = evt.loaded;


    var speed = perload/pertime;
    var bspeed = speed;
    var units = 'b/s';
    if(speed/1024>1){
        speed = speed/1024;
        units = 'k/s';
    }
    if(speed/1024>1){
        speed = speed/1024;
        units = 'M/s';
    }
    speed = speed.toFixed(1);
    //剩余时间
    var resttime = ((evt.total-evt.loaded)/bspeed).toFixed(1);
    if (resttime == "0.0"){
        var alltime = ((nt-startsTime)/1000).toFixed(1);
        $("#"+mobid+" .percenttime").text('，速度：'+speed+units+'，用时：'+alltime+'s');
    }else{
        $("#"+mobid+" .percenttime").text('，速度：'+speed+units+'，剩余时间：'+resttime+'s');
    }

    if(bspeed==0){
        time.innerHTML = '上传已取消';
    }
}

//上传失败
function uploadFailed(evt) {
    layerMsg("上传失败", 2, 10000);
    return false;
}
//取消上传
function cancleUploadFile(){
    $("#uploacNewBox").hide();
    xhr.abort();
}
//继续上传
function continueUploadFile(){
    xhr.send();
}



//图片管理
//fileType 返回到百度编辑器的类型  1 图片  2 视频  3 附件
function uploadFileChooseList(obj_, fileType){
    var nowIndex = MNUI.parent.layer.getFrameIndex(window.name);
    MNUI.layerOpen('文件库',basePath+'web/upload/uploadFileChooseList?nowIndex='+nowIndex+'&id=0&callBack_='+obj_+'&callBack_fileType='+fileType+'',0,0);
}

function showModel(obj, obj_){
    onMouseOverTr(obj);
    if ($(obj).attr("data-fileType")=="1"){
        $("#"+obj_+"div").show();
        var imgUrl = $(obj).attr("data-src");
        $("#"+obj_+"img").attr("src",basePath+imgUrl);
    }
}

function hideModel(obj, obj_){
    onMouseOutTr(obj);
    $("#"+obj_+"div").hide();
}


//文件预览
function layerModel(obj){
    var typerNum = 1;
    var content = "" ;
    if($(obj).attr("data-fileType")=="1"){
        typerNum = 1;
        content = "<div class='imgChk'><img src='"+$(obj).attr("src")+"' style=' display:block; margin:0 auto;width:100%;height:auto;'/></div>";
    }else if($(obj).attr("data-fileType")=="3"){
        typerNum = 2;
        content = $(obj).attr("data-src");
    }else{
        MNUI.layer.confirm('该文件不支持预览，确定要下载吗?', {
            btn: ['确定','取消'] //按钮
        }, function(){
            window.open($(obj).attr("data-src"));
            MNUI.layer.close(MNUI.layer.index);
        });
        return false;
        //content = "<div style='text-align:center;'>暂不提供图片格式以外预览</div>";
    }
    parent.layer.open({
        type: typerNum,
        title: "文件预览",
        closeBtn: 1,
        area: ['80%','90%'],
        skin: '#ffffff',
        shadeClose: true,
        content: content
    });
}

function remove_imgBox(obj, obj_){
    //$(obj).prev().remove();
    var nurl = $(obj).attr("data-imgUrl");
    var imgUrls =  $("#"+obj_+"_url").val();
    $("#"+obj_+"_url").val(imgUrls.replace(nurl,""));
    $(obj).parent().remove();
}

function getImgListShow(obj_){
    var imgUrls = $("#"+obj_+"_url").val();
    var imgUrlList = imgUrls.split(";");
    var imcontent = "";
    var fileType = "";

    for(var i=0;i<imgUrlList.length;i++){
        if(imgUrlList[i] != ''){
            var imgUrlName = imgUrlList[i].substring(imgUrlList[i].lastIndexOf("/")+1,imgUrlList[i].lastIndexOf("."));
            imcontent += "<div class='img11_news_sbox'>";
            fileType = imgUrlList[i].substring(imgUrlList[i].lastIndexOf(".")+1,imgUrlList[i].length).toLowerCase();
            imcontent += getFileImgShowIcon(fileType, imgUrlList[i], imgUrlName);
            imcontent += "<em class='img_close_btn' onclick=\"remove_imgBox(this, '"+obj_+"')\" data-imgUrl='"+imgUrlList[i]+";' title='删除'><i class='fa fa-window-close'></i></em>";
            imcontent += "</div>";
        }
    }
    $("#"+obj_+"_imgShow").html(imcontent);
}

function getImgListShow2(obj_){
    var imgUrls = $("#"+obj_+"_url").val();
    var imgUrlList = imgUrls.split(";");
    var imcontent = "";
    var fileType = "";

    for(var i=0;i<imgUrlList.length;i++){
        if(imgUrlList[i] != ''){
            var imgUrlName = imgUrlList[i].substring(imgUrlList[i].lastIndexOf("/")+1,imgUrlList[i].lastIndexOf("."));
            imcontent += "<div class='img11_news_sbox'>";
            fileType = imgUrlList[i].substring(imgUrlList[i].lastIndexOf(".")+1,imgUrlList[i].length).toLowerCase();
            imcontent += getFileImgShowIcon(fileType, imgUrlList[i], imgUrlName);
            imcontent += "<em class='img_close_btn' onclick=\"remove_imgBox(this, '"+obj_+"')\" data-imgUrl='"+imgUrlList[i]+";' title='删除'><i class='fa fa-window-close'></i></em>";
            imcontent += "<p>身份证已上传成功，为了您的信息安全已加密处理。</p>";
            imcontent += "</div>";
        }
    }
    $("#"+obj_+"_imgShow").html(imcontent);
}

function getFileImgShowIcon(fileType, imgUrl, imgUrlName){
    var imgType = ",bmp,jpg,png,tif,gif,pcx,tga,exif,fpx,svg,psd,cdr,pcd,dxf,ufo,eps,ai,raw,WMF,webp,ico,";
    var zipType = ",rar,zip,";
    var xlsType = ",xls,xlsx,";
    var docType = ",doc,docx,";
    var pptType = ",ppt,pptx,";
    var vsdType = ",vsd,";
    var pdfType = ",pdf,";
    var txtType = ",txt,";
    var apkType = ",apk,";
    var exeType = ",exe,";
    var ipaType = ",ipa,";
    var videoType = ",avi,wmv,mpg,mpeg,mov,rm,ram,swf,flv,mp4,";
    var musicType = ",mp3,wma,rm,wav,midi,ape,flac,";

    var imcontent = "";
    if(imgType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"'><img src='"+basePath+imgUrl+"' data-src='"+imgUrl+"' data-fileType=1 onclick='layerModel(this)'></div>";
    }else if(zipType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -240px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(xlsType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -300px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(docType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -360px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(pptType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -420px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(vsdType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -480px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(pdfType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -540px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=3 onclick='layerModel(this)'></div>";
    }else if(txtType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -600px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=3 onclick='layerModel(this)'></div>";
    }else if(apkType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -660px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(exeType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -720px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(ipaType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -780px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(videoType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -840px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }else if(musicType.indexOf(","+fileType+",") != -1 ){
        imcontent += "<div title='"+imgUrlName+"' style=\"width:60px; height:60px; background:url("+basePath+"assets/img/file-icons.png) -900px 0/960px 60px no-repeat\" data-src='"+basePath+imgUrl+"' data-fileType=2 onclick='layerModel(this)'></div>";
    }
    return imcontent;
}

function getFileIcon(url){
    var ext = url.substr(url.lastIndexOf('.') + 1).toLowerCase(),
        maps = {
            "rar":"icon_rar.gif",
            "zip":"icon_rar.gif",
            "tar":"icon_rar.gif",
            "gz":"icon_rar.gif",
            "bz2":"icon_rar.gif",
            "doc":"icon_doc.gif",
            "docx":"icon_doc.gif",
            "pdf":"icon_pdf.gif",
            "mp3":"icon_mp3.gif",
            "xls":"icon_xls.gif",
            "chm":"icon_chm.gif",
            "ppt":"icon_ppt.gif",
            "pptx":"icon_ppt.gif",
            "avi":"icon_mv.gif",
            "rmvb":"icon_mv.gif",
            "wmv":"icon_mv.gif",
            "flv":"icon_mv.gif",
            "swf":"icon_mv.gif",
            "rm":"icon_mv.gif",
            "exe":"icon_exe.gif",
            "psd":"icon_psd.gif",
            "txt":"icon_txt.gif",
            "jpg":"icon_jpg.gif",
            "png":"icon_jpg.gif",
            "jpeg":"icon_jpg.gif",
            "gif":"icon_jpg.gif",
            "ico":"icon_jpg.gif",
            "bmp":"icon_jpg.gif"
        };
    return maps[ext] ? maps[ext]:maps['txt'];
}



var loadingUploadfileHtml = '\
	<div id="uploacNewBox">\
	<div id="drop_area_info"  style="overflow:hidden;display:none;">\
	<img src="'+basePath+'assets/img/loading.gif" style=" height:26px; float:left;">\
	<div style="float:left;">上传文件中</div>\
	<div id="drop_area_line" style="color:#0088CA; float:left;margin-left:15px;">1/1</div>\
	</div>\
	<div id="file_uplist_box">\
	</div>\
	<table cellSpacing=1 cellPadding=5  width="100%" id="uploadMob" class="uploadMob tabEdit" style="display:none;" title="这应该相当于一个模板">\
	<tr>\
	<td class="uploadTd0" >\
	<div class="file_title"></div>\
	</td>\
	<td class="uploadTd1" style="background: #f6f6f6;">\
	<div class="file_box">\
	<div class="file_progress">\
	<div class="file_progress_record" style="width:0%; background: rgb(31, 130, 252);">\
	<div class="file_progress_txt">\
	<div class="file_status J_uploadFileStatus" style="color:#fff;">0%<em></em></div>\
	</div>\
	</div>\
	</div>\
	</div>\
	</td>\
	<td class="uploadTd2">\
	<div class="msgBox">\
	<span class="successmsg" style="color:#0095DD"></span>\
	<span class="persize" data-size="0"></span>\
	<span class="file_hideinfo">\
	<span class="percentage"></span>\
	<span class="percenttime"></span>\
	</span>\
	</div>\
	</td>\
	</tr>\
	</table>\
	</div>\
	';
document.writeln(loadingUploadfileHtml);

//选中图片之后返回

