var newJisUrl = "https://zwfw.sd.gov.cn/JIS/sso/interface.do";
var userType = "1";

function getRenLian(){
    lightAppJssdk.user.humanface({
        success: function(data) {
            alert(JSON.stringify(data));
        },
        fail: function(data) {
            alert(JSON.stringify(data));
        }
    });

}

function getUserInfo() {

	lightAppJssdk.user.getTicket({
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data == '未登录') {
				onLoginApp(); 
			} else {
				var jsonData = JSON.parse(data);
				if(jsonData.retcode == "000000") {
					var dataValueObj = JSON.parse(jsonData.data);
					var ticket = dataValueObj.ticket; 
					userType = dataValueObj.usertype;
					getUserToken(ticket);
				}
			}
		},
		fail: function(data) { //错误返回
			console.log(JSON.stringify(data));
		}
	});
}

function onLoginApp() {
	lightAppJssdk.user.loginapp({
		success: function(data) {
			if(data == "未登录") {
				oncloseWindow();
			} else {
				var dataObj = JSON.parse(data);
				if(dataObj.retcode == '000000') { 
					var dataValueObj = JSON.parse(dataObj.data);
					getUserToken(dataValueObj.ticket); 
					userType = jsonData.usertype; 
				} else {
					oncloseWindow();
				}
			}

		},
		fail: function(data) {
			oncloseWindow();
		}
	});
}


function getUserToken(ticket) {
	var params = '{"ticket":"' + ticket + '"}';
	var data = {
		appmark: "sdzwapp",       
		time: "20191215213400",
		sign: hex_md5("sdzwappaKd20dbGdFvmuwrt20191215213400"),   
		servicename: "ticketValidate",
		params: params
	};
	lightAppJssdk.request.request({
		url: newJisUrl,
		data: data,
		header: '',
		dataType: 'json',              
		async: true,               
		success: function(data) {
			console.log("ticketValidate===================" + JSON.stringify(data));
			if(data.retcode == '000000') {
				var userToken = JSON.parse(data.data).token;
				if(userType == "1") { 
					getUserInfoByToken(userToken);
				} else { 
					findCorUserByToken(userToken);
				}

			} else {}
		},
		fail: function(data) {
			console.log(data);
		}
	});
}

function getUserInfoByToken(userToken) {
	var params = '{"token":"' + userToken + '"}';
	var data = {
		appmark: "sdzwapp",
		time: "20191215213400",
		sign: hex_md5("sdzwappaKd20dbGdFvmuwrt20191215213400"),
		servicename: "findOutsideUserByToken",
		params: params
	};
	lightAppJssdk.request.request({
		url: newJisUrl,
		data: data,
		header: '',
		dataType: 'json', 
		async: true, 
		success: function(data) {
			console.log("findUserByToken===================" + JSON.stringify(data));
			if(data.retcode == '000000') {
                var userinfo = Decrypt(data.data, "aKd20dbGdFvmuwrt");
                loginUserinfo(userinfo,data.data);
				// document.getElementById("userinfo").innerText = userinfo;
			} else {}
		},
		fail: function(data) {}
	});
}

function findCorUserByToken(userToken) {
	var params = '{"token":"' + userToken + '"}';
	var data = {
		appmark: "sdzwapp",
		time: "20191215213400",
		sign: hex_md5("sdzwappaKd20dbGdFvmuwrt20191215213400"),
		servicename: "findCorUserByToken",
		params: params
	};
	lightAppJssdk.request.request({
		url: newJisUrl,
		data: data,
		header: '',
		dataType: 'json', //返回数据格式，默认json
		async: true, //同步设置
		success: function(data) {
			console.log("findUserByToken===================" + JSON.stringify(data));
			if(data.retcode == '000000') {
                var userinfo = Decrypt(data.data, "aKd20dbGdFvmuwrt");
                loginUserinfo(userinfo,data.data);
				// document.getElementById("userinfo").innerText = userinfo;

			} else {}
		},
		fail: function(data) {}
	});
}

function oncloseWindow() {
	lightAppJssdk.navigation.close({
		success: function(data) {},
		fail: function(data) {}
	});
};

function Decrypt(word, key) {
	var key = CryptoJS.enc.Utf8.parse(key);
	var srcs = CryptoJS.enc.Hex.parse(word); 
	var str = CryptoJS.enc.Base64.stringify(srcs); 
	var decrypt = CryptoJS.AES.decrypt(str, key, {
		mode: CryptoJS.mode.ECB,
		spadding: CryptoJS.pad.Pkcs7
	});
	return decrypt.toString(CryptoJS.enc.Utf8);
}



function loginUserinfo(uStr,aesInfo){
	// alert(aesInfo);
	var userInfos = JSON.parse(uStr);

	$.ajax({
        type: "post",
        url: _rUrl,
        data: {
            type: 1,
            usersJson: aesInfo
        },
        dataType: "json",
        success: function (data,status) {
            console.log(data);
            if(data.error=='ok'){
				setUserInfos(userInfos);
            }else{
                alert(data.msg);
            }
        },
        error: function(e){
            console.log(e);
        }
    });
}

//html用来保存查询信息
function loginUserinfoByApi(uuid,uid){
	$.ajax({
		type: "post",
		url: _rUrl,
		data: {
			type: 19,
			uuid: uuid,
			uid: uid//用来判定用户
		},
		dataType: "json",
		success: function (data) {
			if(data.error=='ok'){
				setUserInfos(data.result);
			}else{
				alert(data.msg);
			}
		},
		error: function(e){
			console.log(e);
		}
	});
}